#
# spec file for package python-pyo
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


Name:           python-pyo
Version:        0.7.3
Release:        1.2
License:        GPL-3.0
Summary:        Python digital signal processing module
Url:            https://code.google.com/p/pyo/
Group:          Development/Languages/Python
Source:         http://pyo.googlecode.com/files/pyo_%{version}-src.tar.bz2
BuildRequires:  python-devel
BuildRequires:  liblo-devel
BuildRequires:  libsndfile-devel
BuildRequires:  portaudio-devel
BuildRequires:  portmidi-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
pyo is a Python module written in C to help digital signal processing
script creation. 

%prep
%setup -q -n pyo_%{version}-src

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog
%doc examples/
%{python_sitearch}/pyo.py*
%{python_sitearch}/pyolib/
%{python_sitearch}/pyo-%{version}-py*.egg-info
%{python_sitearch}/_pyo.so

%changelog
* Tue Nov 18 2014 toddrme2178@gmail.com
- Update to version 0.7.3
  * Added new objet: Scope, an audio waveform display.
  * E-Pyo: Fix marker's line numbering.
  * E-Pyo: Added Save As Template... menu item.
  * Fixed bug in Fader decreasing ramp.
  * Added midi output methods to the Server object. noteout, afterout, ctlout,
    programout, pressout and bendout.
  * Server.setMidiOutputDevice(idx) with `idx` greater than the higher portmidi
    devices index opens all available output devices.
  * Added new object: FToM, converts an audio stream containning frequencies in
    hertz to a midi note audio stream.
  * Added new function: hzToMidi, converts a frequency in hertz to a midi note
    value.
- Update to version 0.7.2
  * Server.setMidiInputDevice(idx) with `idx` greater than the higher portmidi
    input index opens all available devices.
  * OSX installer: Also install pyo in anaconda site-packages directory if
    exist.
  * Added new object : TrigBurst, generates a time/amplitude expandable trigger
    pattern.
  * Added new object : Euclide, Euclidean rhythm generator.
  * Windows installers now check for the current python installation directory
    before installing files.
  * E-Pyo: Fixed inconsistencies in Find/Replace behaviours.
  * Added new object : SmoothDelay, a delay line that does not produce clicks
    or pitch shifting when the delay time is changing.
  * Added new object : AttackDetector, audio signal onset detection.
  * Added new object : Centroid, Computes the spectral centroid of an input
    signal.
- Update to version 0.7.2
  * E-Pyo: Added RadioPyo to the template choices.
  * Fixed Compare when used with None or a string. Print a warning and set
    'comp' attribute to 0.
  * Fixed live interpreter of the server window when using arrow keys
    navigation.
  * E-Pyo: Check if WxPython 3.0 is installed, otherwise uses 2.8.
  * Added anti-aliasing to PyoTableObject's grapher widget. Fixed Ctrl+W on the
    grapher.
- Update to version 0.7.0
  * pyo can now be used without any GUI toolkit (WxPython or TKinter). Widgets
    are simply disabled.
  * Added Server methods to auto-connect Jack ports to already opened ports.
  * E-Pyo: output log now in realtime.
  * Added new object: Tanh, hyperbolic tangent function on audio signal.
- Update to version 0.6.9
  * Added lot of methods to PyoTableObject (retify, bipolarGain, invert,
    lowpass, fadein, fadeout, pow).
  * Added new object: PartialTable, generates waveforms made of inharmonic
    components.
  * Added a Scope example in examples/utilities.
  * Added new object: STRev, Stereo reverb.
  * Added dataOnly argument to SLMap. User can now control parameters, in ctrl
    window, that do not accept audio signal but discreet values.
  * Added new object: ComplexRes, Complex one-pole resonator filter.
  * Added new object: TrackHold, Performs a 'thru' and hold on its input
    signal.
- Update to version 0.6.8
  * Added multi server facility and and embeded callback support for plugin
    development (code by Guillaume Barrette).
  * Add a channel offset to the server physical inputs and outputs.
  * Added support for reading/writing various soundfile formats. FLAC and OGG
    need libsndfile to be compiled with both of them enabled.
  * Added new object: PVMix, Mix the most prominent components from two phase
    vocoder streaming objects.
  * Added new object: TableScale, Scales values from a table and writes them
    into another table.
  * Added new object: Granule, another granular synthesis generator.
  * Added new object: PVBufTabLoops, phase vocoder buffer with bin independent
    speed playback (controlled with a PyoTableObject).
  * Added new object: PVBufLoops, phase vocoder buffer with bin independent
    speed playback.
  * Added new objects: PVShift, spectral frequency shifter. PVAmpMod and
    PVFreqMod, frequency independent modulations.
  * Added new objects: PVDelay, spectral delays and PVBuffer, phase vocoder
    recorder and playback.
  * Added setJackAuto method to the Server to disable (enabled by default) Jack
    ports auto-connection.
  * Added graph() method to DataTable object. Opens a multisliders window to
    edit the table content.
  * Added new object: PVFilter. Spectral filtering.
  * Added new object: PVCross, PVMult, PVMorph. Spectral morphing.
  * Added new object: PVAddSynth, Phase Vocoder additive synthesis object.
  * Phase Vocoder, first draft. PVAnal, PVSynth, PVTranspose, PVVerb and
    PVGate.
  * E-Pyo: Added "Search in Project Files" option.
  * E-Pyo: Added Filters Menu. User-defined text processing functions.
  * Now using Sphinx to generate the API documentation.
  * Added new objects: ButLP, ButHP, ButBP, ButBR, second-order Butterworth
    filters.
  * Added new objects: Reson and Resonx, second-order resonant bandpass
    filters.
* Fri May 10 2013 toddrme2178@gmail.com
- Initial version
